Автор Тема: LinuxCNC, Zerobrane, YaDisk-indicator в Сизифе  (Прочитано 1004 раз)

medov

  • Гость
Добрый день, форумчане. После установки Альт Линукс x64 LXDE ночной сборки (Сизиф) появилось несколько вопросов по установке софта.
1. Был приятно удивлён, увидев в Сизифе LinuxCNC (софт для управления ЧПУ станками), пусть и не самой последней версии. Но запустить не смог, во, что говорит консоль. Что-то связано с работой ядра в реальном времени, но вот что - это вопрос):
[medov@medov ~]$ linuxcnc linuxcnc/configs/lathe.stepconf
LINUXCNC - 2.7.5
Machine configuration directory is '/home/medov/linuxcnc/configs'
Machine configuration file is 'lathe.stepconf'
Starting LinuxCNC...
/usr/bin/linuxcnc: line 696: /etc/init.d/realtime: Нет такого файла или каталога
Realtime system did not load
Shutting down and cleaning up LinuxCNC...
/usr/bin/linuxcnc: line 592: /etc/init.d/realtime: Нет такого файла или каталога
LinuxCNC terminated with an error.  You can find more information in the log:
    /home/medov/linuxcnc_debug.txt
and
    /home/medov/linuxcnc_print.txt
as well as in the output of the shell command 'dmesg' and in the terminal
2. Софтина №2, IDE для ЯП Lua. Ставлю через Синаптик Zerobrane Studio, ставится корректно, но не запускается...
Из меню не запускается, из консоли вообще не находит такой программы...
3. Софтинка №3 - индикатор Яндекс диска. Запуск из консоли
[medov@medov ~]$ yandex-disk-indicator
Traceback (most recent call last):
  File "/usr/bin/yandex-disk-indicator", line 24, in <module>
    from gi import require_version
ImportError: No module named 'gi'
python-gi в репах нет, скачал здесь https://pypi.python.org/pypi/gi/
Делаю так, но получаю ошибку импорта модуля test, хотя python-test установлен:
[medov@medov gi-1.2]$ sudo python setup.py install
[sudo] password for medov:
running install
running bdist_egg
running egg_info
writing requirements to gi.egg-info/requires.txt
writing gi.egg-info/PKG-INFO
writing top-level names to gi.egg-info/top_level.txt
writing dependency_links to gi.egg-info/dependency_links.txt
reading manifest file 'gi.egg-info/SOURCES.txt'
writing manifest file 'gi.egg-info/SOURCES.txt'
installing library code to build/bdist.linux-x86_64/egg
running install_lib
running build_py
creating build/bdist.linux-x86_64/egg
creating build/bdist.linux-x86_64/egg/gi
copying build/lib/gi/__main__.py -> build/bdist.linux-x86_64/egg/gi
copying build/lib/gi/__init__.py -> build/bdist.linux-x86_64/egg/gi
byte-compiling build/bdist.linux-x86_64/egg/gi/__main__.py to __main__.pyc
byte-compiling build/bdist.linux-x86_64/egg/gi/__init__.py to __init__.pyc
creating build/bdist.linux-x86_64/egg/EGG-INFO
copying gi.egg-info/PKG-INFO -> build/bdist.linux-x86_64/egg/EGG-INFO
copying gi.egg-info/SOURCES.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying gi.egg-info/dependency_links.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying gi.egg-info/not-zip-safe -> build/bdist.linux-x86_64/egg/EGG-INFO
copying gi.egg-info/requires.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying gi.egg-info/top_level.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
creating 'dist/gi-1.2-py2.7.egg' and adding 'build/bdist.linux-x86_64/egg' to it
removing 'build/bdist.linux-x86_64/egg' (and everything under it)
Processing gi-1.2-py2.7.egg
removing '/usr/lib/python2.7/site-packages/gi-1.2-py2.7.egg' (and everything under it)
creating /usr/lib/python2.7/site-packages/gi-1.2-py2.7.egg
Extracting gi-1.2-py2.7.egg to /usr/lib/python2.7/site-packages
gi 1.2 is already the active version in easy-install.pth

Installed /usr/lib/python2.7/site-packages/gi-1.2-py2.7.egg
Processing dependencies for gi==1.2
Searching for requests
Reading https://pypi.python.org/simple/requests/
Best match: requests 2.12.5
Downloading https://pypi.python.org/packages/b6/61/7b374462d5b6b1d824977182db287758d549d8680444bad8d530195acba2/requests-2.12.5.tar.gz#md5=360bb3af97881a7056ed5bb3d0a3e8a3
Processing requests-2.12.5.tar.gz
Writing /tmp/.private/root/easy_install-0d8CLD/requests-2.12.5/setup.cfg
Running requests-2.12.5/setup.py -q bdist_egg --dist-dir /tmp/.private/root/easy_install-0d8CLD/requests-2.12.5/egg-dist-tmp-U28jXL
Traceback (most recent call last):
  File "setup.py", line 12, in <module>
    zip_safe=False)
  File "/usr/lib64/python2.7/distutils/core.py", line 151, in setup
    dist.run_commands()
  File "/usr/lib64/python2.7/distutils/dist.py", line 953, in run_commands
    self.run_command(cmd)
  File "/usr/lib64/python2.7/distutils/dist.py", line 972, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.7/site-packages/setuptools/command/install.py", line 67, in run
    self.do_egg_install()
  File "/usr/lib/python2.7/site-packages/setuptools/command/install.py", line 117, in do_egg_install
    cmd.run()
  File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 380, in run
    self.easy_install(spec, not self.no_deps)
  File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 610, in easy_install
    return self.install_item(None, spec, tmpdir, deps, True)
  File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 661, in install_item
    self.process_distribution(spec, dist, deps)
  File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 709, in process_distribution
    [requirement], self.local_index, self.easy_install
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 836, in resolve
    dist = best[req.key] = env.best_match(req, ws, installer)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 1081, in best_match
    return self.obtain(req, installer)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 1093, in obtain
    return installer(requirement)
  File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 629, in easy_install
    return self.install_item(spec, dist.location, tmpdir, deps)
  File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 659, in install_item
    dists = self.install_eggs(spec, download, tmpdir)
  File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 842, in install_eggs
    return self.build_and_install(setup_script, setup_base)
  File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 1070, in build_and_install
    self.run_setup(setup_script, setup_base, args)
  File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 1056, in run_setup
    run_setup(setup_script, args)
  File "/usr/lib/python2.7/site-packages/setuptools/sandbox.py", line 240, in run_setup
    raise
  File "/usr/lib64/python2.7/contextlib.py", line 35, in __exit__
    self.gen.throw(type, value, traceback)
  File "/usr/lib/python2.7/site-packages/setuptools/sandbox.py", line 193, in setup_context
    yield
  File "/usr/lib64/python2.7/contextlib.py", line 35, in __exit__
    self.gen.throw(type, value, traceback)
  File "/usr/lib/python2.7/site-packages/setuptools/sandbox.py", line 164, in save_modules
    saved_exc.resume()
  File "/usr/lib/python2.7/site-packages/setuptools/sandbox.py", line 139, in resume
    compat.reraise(type, exc, self._tb)
  File "/usr/lib/python2.7/site-packages/setuptools/sandbox.py", line 152, in save_modules
    yield saved
  File "/usr/lib/python2.7/site-packages/setuptools/sandbox.py", line 193, in setup_context
    yield
  File "/usr/lib/python2.7/site-packages/setuptools/sandbox.py", line 237, in run_setup
    DirectorySandbox(setup_dir).run(runner)
  File "/usr/lib/python2.7/site-packages/setuptools/sandbox.py", line 267, in run
    return func()
  File "/usr/lib/python2.7/site-packages/setuptools/sandbox.py", line 236, in runner
    _execfile(setup_script, ns)
  File "/usr/lib/python2.7/site-packages/setuptools/sandbox.py", line 46, in _execfile
    exec(code, globals, locals)
  File "/tmp/.private/root/easy_install-0d8CLD/requests-2.12.5/setup.py", line 10, in <module>
    packages=['gi'],
ImportError: No module named test
 
Ну и немного ощущений. В целом работа ОС радует. Сравниваю как юзер lubuntu и fedora lxde.
« Последнее редактирование: 21.01.2017 14:45:18 от sb »

Оффлайн Антон Мидюков

  • alt linux team
  • ***
  • Сообщений: 3 101
  • antohami@
Re: LinuxCNC, Zerobrane, YaDisk-indicator в Сизифе
« Ответ #1 : 21.01.2017 15:17:29 »
linuxcnc linuxcnc/configs/lathe.stepconf

Вы используете конфиг, в котором прописано, что ядро реал-тайм (или вообще RTAI), видимо. В Альте реал-тайм ядра на данный момент нет, к сожалению. Посему LinuxCNC в Альте лишь на поиграться. А версию уже довольно давно не могу обновить, перестал собираться. Тем не менее работает.

Оффлайн Антон Мидюков

  • alt linux team
  • ***
  • Сообщений: 3 101
  • antohami@
Re: LinuxCNC, Zerobrane, YaDisk-indicator в Сизифе
« Ответ #2 : 21.01.2017 15:38:24 »
ImportError: No module named 'gi'

Возможно требуется python3-module-pygobject3
« Последнее редактирование: 21.01.2017 15:40:16 от Антон Мидюков »

Оффлайн Антон Мидюков

  • alt linux team
  • ***
  • Сообщений: 3 101
  • antohami@
Re: LinuxCNC, Zerobrane, YaDisk-indicator в Сизифе
« Ответ #3 : 21.01.2017 17:05:51 »
2. Софтина №2, IDE для ЯП Lua. Ставлю через Синаптик Zerobrane Studio, ставится корректно, но не запускается...
Из меню не запускается, из консоли вообще не находит такой программы...

Разобрался в чём дело. Zerobrane Studio зависит от пакета wxlua, который собран с lua5.1. А у вас в системе установлен lua5.3. Решение установить вместо lua5.3 пакет lua5:
apt-get install lua5

Оффлайн Антон Мидюков

  • alt linux team
  • ***
  • Сообщений: 3 101
  • antohami@
Re: LinuxCNC, Zerobrane, YaDisk-indicator в Сизифе
« Ответ #4 : 21.01.2017 18:21:18 »
Возможно требуется python3-module-pygobject3

А ещё не хватает зависимости на libnotify-gir. Открыл баг 33023

medov

  • Гость
Re: LinuxCNC, Zerobrane, YaDisk-indicator в Сизифе
« Ответ #5 : 22.01.2017 12:49:35 »
Посему LinuxCNC в Альте лишь на поиграться
Спасибо за ответы. Мне собственно он и нужен на ноуте, чтоб просто запускался, т.к. сказать для просмотра созданных управляющих программ. Это возможно? Просто запустить.
А ещё не хватает зависимости на libnotify-gir
После установки этого пакета, значок диска появился. Но почему-то пишет "сервис ЯД остановлен", хотя он запущен... Я так понимаю, конфиг почему-то не создался?...[medov@medov ~]$ yandex-disk-indicator
2017-01-22 12:40:44,819 ERROR    Config file read error: /home/medov/.config/yd-tools/yandex-disk-indicator.conf
2017-01-22 12:40:44,821 ERROR    Dirs creation Error: /home/medov/.config/yd-tools
2017-01-22 12:40:44,821 ERROR    Dirs creation Error: /home/medov/.config/yd-tools/icons/light
2017-01-22 12:40:44,821 ERROR    Dirs creation Error: /home/medov/.config/yd-tools/icons/dark
2017-01-22 12:40:44,821 ERROR    File Copy Error: from /usr/share/yd-tools/icons/readme to /home/medov/.config/yd-tools/icons/readme
2017-01-22 12:40:44,882 WARNING  Config file access error, a new file (/home/medov/.config/yd-tools/yandex-disk-indicator.conf) will be created
2017-01-22 12:40:44,885 ERROR    Config file write error: /home/medov/.config/yd-tools/yandex-disk-indicator.conf

(yandex-disk-indicator:19708): Gdk-CRITICAL **: gdk_window_thaw_toplevel_updates: assertion 'window->update_and_descendants_freeze_count > 0' failed
apt-get install lua5
Студию запустил, всё хорошо

Оффлайн Антон Мидюков

  • alt linux team
  • ***
  • Сообщений: 3 101
  • antohami@
Re: LinuxCNC, Zerobrane, YaDisk-indicator в Сизифе
« Ответ #6 : 22.01.2017 13:40:03 »
Это возможно? Просто запустить.

Думаю да. Запускайте без указания вашего конфига, который требует реал-тайм ядро.

Но почему-то пишет "сервис ЯД остановлен", хотя он запущен...

Не смотря на это, он исправно работает. Баг довольно известный в Альте...

medov

  • Гость
Re: LinuxCNC, Zerobrane, YaDisk-indicator в Сизифе
« Ответ #7 : 22.01.2017 18:54:57 »
а, вот оно что)

Оффлайн Антон Мидюков

  • alt linux team
  • ***
  • Сообщений: 3 101
  • antohami@
Re: LinuxCNC, Zerobrane, YaDisk-indicator в Сизифе
« Ответ #8 : 23.01.2017 06:08:06 »
Кстати, пакет lua5 надо поставить на hold, так как при первом же обновлении он будет заменён на lua5.3. Читать: https://www.altlinux.org/Hold

medov

  • Гость
Re: LinuxCNC, Zerobrane, YaDisk-indicator в Сизифе
« Ответ #9 : 24.01.2017 13:38:13 »
Кстати, пакет lua5 надо поставить на hold, так как при первом же обновлении он будет заменён на lua5.3. Читать: https://www.altlinux.org/Hold
а я и гляжу, при dist-upgrade тянет lua5.3.
 

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 4 916
Re: LinuxCNC, Zerobrane, YaDisk-indicator в Сизифе
« Ответ #10 : 24.01.2017 15:03:01 »
Кстати, пакет lua5 надо поставить на hold, так как при первом же обновлении он будет заменён на lua5.3. Читать: https://www.altlinux.org/Hold
не hold надо, а багу на пересборку Zerobrane вешать

Оффлайн Антон Мидюков

  • alt linux team
  • ***
  • Сообщений: 3 101
  • antohami@
Re: LinuxCNC, Zerobrane, YaDisk-indicator в Сизифе
« Ответ #11 : 24.01.2017 15:12:01 »
не hold надо, а багу на пересборку Zerobrane вешать

Уже висит.